import java.io.*;
import java.util.*;

public class Gen {

	static int done = 0;

	static final Random rand = new Random(556668949239L);
	static final int MAX_VALUE = 500;

	static void print(int k) throws IOException {
		done++;
		System.err.println(done);
		PrintWriter out;
		if (done < 10)
			out = new PrintWriter("../tests/0" + String.valueOf(done));
		else
			out = new PrintWriter("../tests/" + String.valueOf(done));

		out.println(k);
		out.close();
	}



	public static void main(String[] args) throws IOException {
		File dir = new File("../tests");
		if (!dir.exists())
			dir.mkdir();
		done = 0;

        // Simple test
        print(3);
        print(4);

        // Small test 
        ArrayList<Integer> a = new ArrayList<Integer>();
        for (int i = 1; i < 11; i++)
            a.add(i);
        Collections.shuffle(a, rand);
        for (int i = 0; i < a.size(); i++)
            print(a.get(i));

        // Big test
        for (int i = MAX_VALUE - 5; i <= MAX_VALUE; i++)
            print(i);
        for (int i = 0; i < 10; i++)
            print(MAX_VALUE / 2 + rand.nextInt(MAX_VALUE / 2)); 
         
		return;
	}
}

